Subject: Re: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 6 Apr 2021 16:08:42 +0000

Hello All,

A minor point (IMHO worth clarification) related to this draft-ietf-idr-bgp-ls-segment-routing-ext has come to my notice out of the ongoing AD-review and discussion [1] for the draft-ietf-lsr-isis-srv6-extensions.

This is related to the Prefix Attribute Flags TLV : https://datatracker.ietf.org/doc/html/draft-ietf-idr-bgp-ls-segment-routing-ext-17#section-2.3.2

Currently the draft says that for IS-IS they are derived from the IPv4/IPv6 Extended Reachability Attribute Flags sub-TLV as specified in https://datatracker.ietf.org/doc/html/rfc7794#section-2.1

What we missed (though it is described in RFC7794 sec 2.1), is that for the X-flag, the value needs to be picked from the IS-IS TLVs 236 and 237.

The proposed changes are in sec 2.3.2 as follows:

<OLD/>

      *  IS-IS flags correspond to the IPv4/IPv6 Extended Reachability

         Attribute Flags defined in section 2.1 of [RFC7794]<https://datatracker.ietf.org/doc/html/rfc7794#section-2.1>

</OLD>

<NEW/>

      *  IS-IS flags correspond to the IPv4/IPv6 Extended Reachability

         Attribute Flags defined in section 2.1 of [RFC7794]. Note: for

         the prefix reachability advertisement via IS-IS TLVs 236

         [RFC5308] and 237 [RFC5120], the value of the X-flag to be set

         in the BGP-LS TLV is determined from the fixed format of those

         IS-IS TLVs instead of the IS-IS IPv4/IPv6 Extended Reachability

         Attributes Flags sub-TLV.

</NEW>

I wanted to check with WG/chairs/AD if this is something that we ought to fix/update at this stage in the draft.

Thanks,

Ketan

[1] https://mailarchive.ietf.org/arch/msg/lsr/HAtgICjP4qB23LKfbyZQigDeQSo/

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]
Subject: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

This is a 1 Week WG call for comments the changes to draft-ietf-bgp-ls-segment-routing-ext-17.txt.

https://tools.ietf.org/html/draft-ietf-idr-bgp-ls-segment-routing-ext-17

The comments on this document are only for the changes from -16 to -17.txt

Ketan summarized the changes in his early message with

"This update to the BGP-LS SR draft (that was sitting in the RFC-editor Q due to misref) was required to the recent changes in the

https://datatracker.ietf.org/doc/html/draft-ietf-lsr-ospf-prefix-originator-

09 that was the missing reference as part of the AD review.

It updates the references to the Source Router Identifier TLV for OSPF and introduces a new TLV for the Source OSPF Router-ID TLV to cover the new TLV introduced by draft-ietf-lsr-ospf-prefix-originator."

It is a fine summary of the changes.

Please send comments if you are concerned about the changes.

Unless comments are heard, the intent is to allow the RFC editor to publish based on the -17.txt version.

Cheers, Susan Hares

_______________________________________________

Idr mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/idr

---

From: Alvaro Retana <[email-masked]>
Date: Tue, 6 Apr 2021 10:31:40 -0700

Hi Ketan:

Thanks for catching this too!  Yes, I think we should clarify as well.

Thanks!

Alvaro.

On April 6, 2021 at 12:08:47 PM, Ketan Talaulikar (ketant) ([email-masked])
wrote:

I wanted to check with WG/chairs/AD if this is something that we ought to
fix/update at this stage in the draft.

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 6 Apr 2021 17:32:19 +0000

Ketan -

I always prefer NOT to duplicate normative statements found in referenced documents as there are only two possibilities - neither of which is useful:

1)You will get it right - in which case the text will be redundant
2)You will get it wrong - in which case the text will introduce ambiguity

You have referenced RFC 7794 - I think that should be all that is required.
No change please.

   Les

From: Idr <[email-masked]> On Behalf Of Ketan Talaulikar (ketant)
Sent: Tuesday, April 06, 2021 9:09 AM
To: Susan Hares <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hello All,

<OLD/>

</OLD>

<NEW/>

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

Cheers, Susan Hares

Idr mailing list

---

From: Alvaro Retana <[email-masked]>
Date: Tue, 6 Apr 2021 10:36:57 -0700

Les:

Hi!

The text is not normative…but I do see your point about duplication.  I’m
fine with not adding the note.

Thanks!

Alvaro.

On April 6, 2021 at 1:32:49 PM, Les Ginsberg (ginsberg) (
ginsberg=[email-masked]) wrote:

Ketan –

I always prefer NOT to duplicate normative statements found in referenced
documents as there are only two possibilities – neither of which is useful:

1)You will get it right – in which case the text will be redundant

2)You will get it wrong – in which case the text will introduce ambiguity

You have referenced RFC 7794 – I think that should be all that is required.

No change please.

   Les

*From:* Idr <[email-masked]> *On Behalf Of * Ketan Talaulikar (ketant)
*Sent:* Tuesday, April 06, 2021 9:09 AM
*To:* Susan Hares <[email-masked]>; [email-masked]
*Cc:* [email-masked]
*Subject:* Re: [Idr] 1 Week last call on changes to:
draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hello All,

A minor point (IMHO worth clarification) related to this
draft-ietf-idr-bgp-ls-segment-routing-ext has come to my notice out of the
ongoing AD-review and discussion [1] for the
draft-ietf-lsr-isis-srv6-extensions.

This is related to the Prefix Attribute Flags TLV :
https://datatracker.ietf.org/doc/html/draft-ietf-idr-bgp-ls-segment-routing-ext-17#section-2.3.2

Currently the draft says that for IS-IS they are derived from the IPv4/IPv6
Extended Reachability Attribute Flags sub-TLV as specified in
https://datatracker.ietf.org/doc/html/rfc7794#section-2.1

What we missed (though it is described in RFC7794 sec 2.1), is that for the
X-flag, the value needs to be picked from the IS-IS TLVs 236 and 237.

<OLD/>

         Attribute Flags defined in section 2.1 of [RFC7794]
<https://datatracker.ietf.org/doc/html/rfc7794#section-2.1>

</OLD>

<NEW/>

         Attribute Flags defined in section 2.1 of [RFC7794]. *Note: for*

*         the prefix reachability advertisement via IS-IS TLVs 236*

*         [RFC5308] and 237 [RFC5120], the value of the X-flag to be set*

*         in the BGP-LS TLV is determined from the fixed format of those*

*         IS-IS TLVs instead of the IS-IS IPv4/IPv6 Extended Reachability*

*         Attributes Flags sub-TLV.*

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]
Subject: [Idr] 1 Week last call on changes to:
draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

This is a 1 Week WG call for comments the changes to
draft-ietf-bgp-ls-segment-routing-ext-17.txt.

"This update to the BGP-LS SR draft (that was sitting in the RFC-editor Q
due to misref) was required to the recent changes in the

It updates the references to the Source Router Identifier TLV for OSPF and
introduces a new TLV for the Source OSPF Router-ID TLV to cover the new TLV
introduced by draft-ietf-lsr-ospf-prefix-originator."

Unless comments are heard, the intent is to allow the RFC editor to publish
based on the -17.txt version.

Cheers, Susan Hares

Idr mailing list

[email-masked]

[email-masked]

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 6 Apr 2021 17:50:48 +0000

Hi Alvaro/Les,

The RFC7794 covers the ISIS protocol handling of the X-flag from either the IPv4/IPv6 Extended Reachability Attribute Flags sub-TLV or from the fixed form TLVs 236 & 237.

The BGP-LS draft currently says that the contents of the BGP-LS Prefix Attribute Flags TLV is derived from the IPv4/IPv6 Extended Reachability Attribute Flags sub-TLV in case of ISIS. It does not cover this “special” handling that is required for the X-flag in TLV 236/237 and populating that info into BGP-LS. This is the clarification that I was referring to and I did not see that as a duplication.

I am OK in skipping this text update if you still believe it to be unnecessary.

Thanks,
Ketan

From: Alvaro Retana <[email-masked]>
Sent: 06 April 2021 23:07
To: Susan Hares <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Les:

Hi!

The text is not normative…but I do see your point about duplication.  I’m fine with not adding the note.

Thanks!

Alvaro.

On April 6, 2021 at 1:32:49 PM, Les Ginsberg (ginsberg) (ginsberg=[email-masked]<mailto:ginsberg=[email-masked]>) wrote:
Ketan –

I always prefer NOT to duplicate normative statements found in referenced documents as there are only two possibilities – neither of which is useful:

   Les

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Ketan Talaulikar (ketant)
Sent: Tuesday, April 06, 2021 9:09 AM
To: Susan Hares <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hello All,

<OLD/>

</OLD>

<NEW/>

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

Cheers, Susan Hares

Idr mailing list

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Tue, 6 Apr 2021 19:34:39 +0000

Ketan/Alvaro –

Looking at this again, I can see why some text is necessary.
Here is an alternate suggestion:

         IS-IS flags correspond to the IPv4/IPv6 Extended Reachability
         Attribute Flags defined in section 2.1 of [RFC7794].  In the case
         of the X-flag when associated with IPv6 prefix reachability the
         setting corresponds to the setting of the X-flag in the fixed format of
         IS-IS TLVs 236 [RFC5308] and 237 [RFC5120].

I believe this deserves to be more than a “Note” because RFC 7794 requires X-flag in Prefix Reachability sub-TLV in such cases to be sent as 0 and ignored on receipt – which means you cannot derive the X-flag from Prefix Attributes sub-TLV, but you still want to use the bit position of the X-flag in Prefix Attributes sub-TLV for the value derived from the IPv6 Prefix Reachability TLVs.

   Les

From: Ketan Talaulikar (ketant) <[email-masked]>
Sent: Tuesday, April 06, 2021 10:51 AM
To: Alvaro Retana <[email-masked]>; Susan Hares <[email-masked]>; Les Ginsberg (ginsberg) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: RE: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hi Alvaro/Les,

Thanks,
Ketan

From: Alvaro Retana <[email-masked]<mailto:[email-masked]>>
Sent: 06 April 2021 23:07
To: Susan Hares <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Les:

Hi!

Thanks!

Alvaro.

   Les

Hello All,

<OLD/>

</OLD>

<NEW/>

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

Cheers, Susan Hares

Idr mailing list

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 7 Apr 2021 05:28:48 +0000

Hi Les,

Thanks for your confirmation and your proposed text looks better as well.

Let us also wait to hear feedback from Alvaro, IDR chairs and others in the WG.

Thanks,
Ketan

From: Les Ginsberg (ginsberg) <[email-masked]>
Sent: 07 April 2021 01:05
To: Ketan Talaulikar (ketant) <[email-masked]>; Alvaro Retana <[email-masked]>; Susan Hares <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: RE: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Ketan/Alvaro –

   Les

From: Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, April 06, 2021 10:51 AM
To: Alvaro Retana <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>; Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hi Alvaro/Les,

Thanks,
Ketan

Les:

Hi!

Thanks!

Alvaro.

   Les

Hello All,

<OLD/>

</OLD>

<NEW/>

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]<mailto:[email-masked]>
Subject: [Idr] 1 Week last call on changes to: draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

IDR:

Cheers, Susan Hares

Idr mailing list

---

From: Alvaro Retana <[email-masked]>
Date: Wed, 7 Apr 2021 13:21:02 -0700

I’m fine with Les’ text.

Thanks!

Alvaro.

On April 7, 2021 at 1:28:52 AM, Ketan Talaulikar (ketant) ([email-masked])
wrote:

Hi Les,

Let us also wait to hear feedback from Alvaro, IDR chairs and others in the
WG.

Thanks,

Ketan

*From:* Les Ginsberg (ginsberg) <[email-masked]>
*Sent:* 07 April 2021 01:05
*To:* Ketan Talaulikar (ketant) <[email-masked]>; Alvaro Retana <
[email-masked]>; Susan Hares <[email-masked]>; [email-masked]
*Cc:* [email-masked]
*Subject:* RE: [Idr] 1 Week last call on changes to:
draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Ketan/Alvaro –

         setting corresponds to the setting of the X-flag in the fixed
format of

I believe this deserves to be more than a “Note” because RFC 7794 requires
X-flag in Prefix Reachability sub-TLV in such cases to be sent as 0 and
ignored on receipt – which means you cannot derive the X-flag from Prefix
Attributes sub-TLV, but you still want to use the bit position of the
X-flag in Prefix Attributes sub-TLV for the value derived from the IPv6
Prefix Reachability TLVs.

   Les

*From:* Ketan Talaulikar (ketant) <[email-masked]>
*Sent:* Tuesday, April 06, 2021 10:51 AM
*To:* Alvaro Retana <[email-masked]>; Susan Hares <[email-masked]>;
Les Ginsberg (ginsberg) <[email-masked]>; [email-masked]
*Cc:* [email-masked]
*Subject:* RE: [Idr] 1 Week last call on changes to:
draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Hi Alvaro/Les,

The RFC7794 covers the ISIS protocol handling of the X-flag from
either the IPv4/IPv6
Extended Reachability Attribute Flags sub-TLV or from the fixed form TLVs
236 & 237.

The BGP-LS draft currently says that the contents of the BGP-LS Prefix
Attribute Flags TLV is derived from the IPv4/IPv6 Extended Reachability
Attribute Flags sub-TLV in case of ISIS. It does not cover this “special”
handling that is required for the X-flag in TLV 236/237 and populating that
info into BGP-LS. This is the clarification that I was referring to and I
did not see that as a duplication.

I am OK in skipping this text update if you still believe it to be
unnecessary.

Thanks,

Ketan

*From:* Alvaro Retana <[email-masked]>
*Sent:* 06 April 2021 23:07
*To:* Susan Hares <[email-masked]>; Les Ginsberg (ginsberg) <
[email-masked]>; Ketan Talaulikar (ketant) <[email-masked]>;
[email-masked]
*Cc:* [email-masked]
*Subject:* Re: [Idr] 1 Week last call on changes to:
draft-ietf-idr-bgp-ls-segment-routing-ext-17.txt [3/25/2021 to 4/1/2021]

Les:

Hi!

Thanks!

Alvaro.

Ketan –

No change please.

   Les

*From:* Idr <[email-masked]> *On Behalf Of *Ketan Talaulikar (ketant)

Hello All,

<OLD/>

</OLD>

<NEW/>

</NEW>

Thanks,

Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 25 March 2021 20:07
To: [email-masked]
Subject: [Idr] 1 Week last call on changes to:

IDR:

Cheers, Susan Hares

Idr mailing list

[email-masked]